summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-x.local/bin/mpd-module-update7
-rw-r--r--.xprofile7
2 files changed, 8 insertions, 6 deletions
diff --git a/.local/bin/mpd-module-update b/.local/bin/mpd-module-update
new file mode 100755
index 0000000..7518976
--- /dev/null
+++ b/.local/bin/mpd-module-update
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+# This loop will update the mpd statusbar module whenever a command changes the
+# music player's status. mpd must be running on X's start for this to work.
+while : ; do
+ mpc idle >/dev/null && pkill -RTMIN+11 dwmblocks || break
+done
diff --git a/.xprofile b/.xprofile
index 1593699..81ad4f4 100644
--- a/.xprofile
+++ b/.xprofile
@@ -15,9 +15,4 @@ dunst & # dunst for notifications
sxhkd & # Bind keys with sxhkd
xset r rate 300 50 & # Speed xrate up
unclutter & # Remove mouse when idle
-
-# This loop will update the mpd statusbar module whenever a command changes the
-# music player's status. mpd must be running on X's start for this to work.
-while pgrep -x mpd >/dev/null; do
- mpc idle >/dev/null; pkill -RTMIN+11 dwmblocks
-done
+mpd-module-update & # Check for when to update the mpd module